package com.hotent.uc.manager;

import com.hotent.base.manager.BaseManager;
import com.hotent.uc.model.ShiftRule;

import java.io.IOException;
import java.text.ParseException;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 
 * <pre> 
 * 描述：轮班规则 处理接口
 * 构建组：x7
 * 作者:qiuxd
 * 邮箱:qiuxd@jee-soft.cn
 * 日期:2020-08-04 16:07:34
 * 版权：广州宏天软件股份有限公司
 * </pre>
 */
public interface ShiftRuleManager extends BaseManager<ShiftRule>{

    long computeSendDate(String userId,long minute) throws ParseException, IOException;

    long computeDuration(String userId, LocalDateTime startDate, LocalDateTime endDate) throws ParseException, IOException ;

    ShiftRule getRuleByUserId(String userId);

    ShiftRule getByKey(ShiftRule shiftRule);

}
